Subject: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13: (with COMMENT)

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 03 Mar 2015 04:45:12 -0800

Adrian Farrel has entered the following ballot position for
draft-ietf-6man-enhanced-dad-13: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
http://datatracker.ietf.org/doc/draft-ietf-6man-enhanced-dad/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I have No Objection to the publication of this document, but I should
have liked more clarify on how the three updated RFCs are updated.
Section 4.3 makes this very clear for 4861, but the updates to 4862
and 4429 are less clear.

How about a new section 1.3 called "Updates to existing RFCs" that can
summarise for all three RFCs and give a forward pointer to 4.3?

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 3 Mar 2015 15:20:10 +0000

Adrian,

Thanks for the review.  During the AD review by Brian Haberman, he asked for the "Changes to RFC 4862" be removed since the change obvious.  Thus we removed the section in the -11 version of the enhanced-dad document.   Likewise, "Changes to RFC 4429" may not be required since all one has to say is that the Optimistic DAD protocol also uses the enhanced-dad algorithm to detect looped back DAD probes.

If a new section 1.3 is added, the text in the section says 

"This document updates RFC 4862 and RFC 4429 to use the enhanced-dad algorithm to detect looped back DAD probes.  The Changes to RFC 4861 section includes an update to RFC 4861."

Regards,

Hemant 

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: Tuesday, March 03, 2015 7:45 AM
To: The IESG
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

I have No Objection to the publication of this document, but I should have liked more clarify on how the three updated RFCs are updated.
Section 4.3 makes this very clear for 4861, but the updates to 4862 and 4429 are less clear.

How about a new section 1.3 called "Updates to existing RFCs" that can summarise for all three RFCs and give a forward pointer to 4.3?

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 3 Mar 2015 15:20:10 +0000

Adrian,

Regards,

Hemant

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 3 Mar 2015 15:24:55 -0000

Oh, I hate it when ADs are at cross-purposes. What are you supposed to think?

If this is all there is to it, then I suggest you could put the text at the end of Section 1 (before 1.1).

Thanks,
Adrian

> From: Hemant Singh (shemant) [mailto:[email-masked]]
> Sent: 03 March 2015 15:20
> To: Adrian Farrel; The IESG; Brian Haberman ([email-masked])
> Subject: RE: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13:
> (with COMMENT)
> 
> Adrian,
> 
> Thanks for the review.  During the AD review by Brian Haberman, he asked for
> the "Changes to RFC 4862" be removed since the change obvious.  Thus we
> removed the section in the -11 version of the enhanced-dad document.
> Likewise, "Changes to RFC 4429" may not be required since all one has to say is
> that the Optimistic DAD protocol also uses the enhanced-dad algorithm to detect
> looped back DAD probes.
> 
> "This document updates RFC 4862 and RFC 4429 to use the enhanced-dad
> algorithm to detect looped back DAD probes.  The Changes to RFC 4861 section
> includes an update to RFC 4861."
> 
> Regards,
> 
> Hemant
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> I have No Objection to the publication of this document, but I should have liked
> more clarify on how the three updated RFCs are updated.

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 3 Mar 2015 15:24:55 -0000

Thanks,
Adrian

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 3 Mar 2015 15:35:23 +0000

Adrian,

Ok, no problem.  Let me add the following text to the end of section 1 and post a new version of the document later in my day.  

Thanks and regards,

Hemant

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: Tuesday, March 03, 2015 10:25 AM
To: Hemant Singh (shemant); 'The IESG'; 'Brian Haberman'
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: RE: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13: (with COMMENT)

Thanks,
Adrian

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 3 Mar 2015 15:35:23 +0000

Adrian,

Thanks and regards,

Hemant

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: Tuesday, March 03, 2015 10:25 AM
To: Hemant Singh (shemant); 'The IESG'; 'Brian Haberman'
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: RE: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13: (with COMMENT)

Thanks,
Adrian

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 3 Mar 2015 15:47:33 -0000

Hi Hemant,

Resolution is fine, but please check in with your AD before posting a new revision.

Thanks,
Adrian

> Sent: 03 March 2015 15:35
> To: [email-masked]; 'The IESG'; 'Brian Haberman'
> Ok, no problem.  Let me add the following text to the end of section 1 and post a
> new version of the document later in my day.
>

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 3 Mar 2015 15:48:35 +0000

Adrian,

Sure, I will wait for Brian's approval before posting a new revision.

Thanks,

Hemant

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: Tuesday, March 03, 2015 10:48 AM
To: Hemant Singh (shemant); 'The IESG'; 'Brian Haberman'
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13: (with COMMENT)

Hi Hemant,

Thanks,
Adrian

---

From: Brian Haberman <[email-masked]>
Date: Tue, 03 Mar 2015 11:05:30 -0500

Hemant,
     The proposed resolution is fine.

Brian

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 3 Mar 2015 16:06:04 +0000

Brain,

Ok, thanks.

Hemant

-----Original Message-----
From: Brian Haberman [mailto:[email-masked]] 
Sent: Tuesday, March 03, 2015 11:06 AM
To: Hemant Singh (shemant); [email-masked]; 'The IESG'
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13: (with COMMENT)

Hemant,

Brian

---

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 3 Mar 2015 16:07:09 +0000

Sorry for the type in your name, Brian.

-----Original Message-----
From: Hemant Singh (shemant) 
Sent: Tuesday, March 03, 2015 11:06 AM
To: Brian Haberman; [email-masked]; 'The IESG'
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13: (with COMMENT)

Brain,

Ok, thanks.

Hemant

-----Original Message-----
From: Brian Haberman [mailto:[email-masked]] 
Sent: Tuesday, March 03, 2015 11:06 AM
To: Hemant Singh (shemant); [email-masked]; 'The IESG'
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: Adrian Farrel's No Objection on draft-ietf-6man-enhanced-dad-13: (with COMMENT)

Hemant,

Brian